package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class VmwareObjectDiskModel {

    private VmwareObjectModel vmObject;
    private String disksToProcess;//磁盘选择类型
    private List<String> disks;
    private boolean removeFromVMConfiguration;//如果为true，则磁盘将从 VM 配置中删除。

    public VmwareObjectModel getVmObject() {
        return vmObject;
    }

    public void setVmObject(VmwareObjectModel vmObject) {
        this.vmObject = vmObject;
    }

    public String getDisksToProcess() {
        return disksToProcess;
    }

    public void setDisksToProcess(String disksToProcess) {
        this.disksToProcess = disksToProcess;
    }

    public List<String> getDisks() {
        return disks;
    }

    public void setDisks(List<String> disks) {
        this.disks = disks;
    }

    public boolean isRemoveFromVMConfiguration() {
        return removeFromVMConfiguration;
    }

    public void setRemoveFromVMConfiguration(boolean removeFromVMConfiguration) {
        this.removeFromVMConfiguration = removeFromVMConfiguration;
    }

    @Override public String toString() {
        return "VmwareObjectDiskModel{" + "vmObject=" + vmObject + ", disksToProcess='" + disksToProcess + '\''
            + ", disks=" + disks + ", removeFromVMConfiguration=" + removeFromVMConfiguration + '}';
    }
}
